Get Conversation By Id
Example JS Code to Get Conversation By Id
Response Body
The response is a ConversationDetailed object. The crmScenarioConversations field (present when the conversation is linked to CRM scenarios) is an array of objects with the following structure:
crmScenarioConversations: array of objects:available(boolean) — indicates if the conversation is available for the scenario.scenario(object):id(string) — Scenario ID.name(string) — Scenario name.
step(object):id(string) — Step ID.name(string) — Step name.
createdAt(string, date-time) — link creation timestamp.updatedAt(string, date-time) — last update timestamp.
Example Response
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the conversation to be retrieved.
Response
The unique identifier for the conversation
The title of the conversation, if available
Indicates whether AI is enabled for the conversation
The channel through which the conversation took place (e.g., 'dashboard', 'whatsapp')
The current status of the conversation
RESOLVED, UNRESOLVED, HUMAN_REQUESTED Metadata associated with the conversation, if any
External ID of the channel, if any
ID of the credentials used for the channel
The organization ID associated with the conversation
The mailbox ID, if relevant
The priority of the conversation
LOW, MEDIUM, HIGH ID of the form used, if any
The ID of the agent handling the conversation
The ID of the user associated with the conversation
The ID of the visitor, if applicable
Frustration level of the conversation, if applicable
The date and time when the conversation was created
The date and time when the conversation was last updated
List of contacts associated with the conversation
List of variables associated with the conversation
List of contexts associated with the conversation.
List of assignees for the conversation.
List of tags associated with the conversation.
Lista de vínculos entre a conversa e cenários CRM.
Was this page helpful?

